%define partioname	partio
%define libmajor	1
%define libname		%mklibname %{partioname} %{libmajor}
%define develname	%mklibname %{partioname} -d

Name:		partio
Version:	1.19.0
Release:	%mkrel 2
Summary:	Library for reading/writing/manipulating animation particle formats
Group:		System/Libraries
License:	BSD
URL:		https://github.com/wdas/%{name}
Source:		https://github.com/wdas/partio/archive/refs/tags/v%{version}/partio-%{version}.tar.gz
# from git
#
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glut)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(python3)
BuildRequires:	swig

%description
C++ (with python bindings) library for easily reading/writing/manipulating
common animation particle formats such as PDB, BGEO, PTC.

%package        -n %{libname}
Summary:	Core partio libraries
Group:		System/Libraries

%description    -n %{libname}
C++ library for easily reading/writing/manipulating common animation particle
formats such as PDB, BGEO, PTC.

This package contains the shared library of partio.

%package        -n %{develname}
Summary:	Development files for the partio libraries
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %{develname}
C++ library for easily reading/writing/manipulating common animation particle
formats such as PDB, BGEO, PTC.

This package contains the development files for the partio library. Install
this package if you want to compile applications using the partio library.

%package	doc
Summary:	Documentation files for %{name}
Group:		Documentation
BuildArch:	noarch

%description	doc
C++ (with python bindings) library for easily reading/writing/manipulating
common animation particle formats such as PDB, BGEO, PTC.

This package includes the documentation of partio.

%package	-n python3-%{name}
Summary:	Python 3 bindings for partio library
Group:		Development/Python

%description	-n python3-%{name} 
library for easily reading/writing/manipulating common animation particle
formats such as PDB, BGEO, PTC.

This package contains the Python 3 bindings for the partio library.

%package	test
Summary:	Test components of partio library
Group:		Development/Other
Requires:	%{name}

%description	test
C++ (with python bindings) library for easily reading/writing/manipulating
common animation particle formats such as PDB, BGEO, PTC.

This package contains the run-time support for simple partio testing.

%prep
%autosetup -p1

# Fix all Python shebangs recursively in .
%py3_shebang_fix .

%build
%cmake \
	-DPARTIO_GTEST_ENABLED:BOOL=ON \
	-DCXXFLAGS_STD=c++17
%cmake_build

%install
%cmake_install

%files
%license LICENSE
%doc README.md
%{_bindir}/part*
%{_datadir}/swig/%{name}.i
%dir %{_datadir}/%{name}

%files -n %{libname}
%{_libdir}/*.so.%{libmajor}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so

%files -n python3-%{name}
%{python3_sitearch}/_%{name}.so
%pycached %{python3_sitearch}/*.py

%files doc
%doc %{_defaultdocdir}/%{name}/html

%files test
%dir %{_datadir}/%{name}/test
%{_datadir}/%{name}/test/*



%changelog
* Sat Jul 26 2025 daviddavid <daviddavid> 1.19.0-2.mga10
+ Revision: 2259418
- rebuild for new gtest 1.17.0

* Thu May 08 2025 ghibo <ghibo> 1.19.0-1.mga10
+ Revision: 2182055
- Update to version 1.19.0
- Drop patches merged upstream.

* Tue Mar 04 2025 wally <wally> 1.14.6-8.mga10
+ Revision: 2160415
- rebuild for python3.13

* Fri Jan 05 2024 daviddavid <daviddavid> 1.14.6-7.mga10
+ Revision: 2027673
- rebuild for py3.12

* Tue Dec 05 2023 daviddavid <daviddavid> 1.14.6-6.mga10
+ Revision: 2013233
- rebuild for new gtest

* Wed Oct 11 2023 daviddavid <daviddavid> 1.14.6-5.mga10
+ Revision: 1994355
- rebuild for new gtest 1.13.0

* Wed Oct 12 2022 ghibo <ghibo> 1.14.6-4.mga9
+ Revision: 1896340
- Rebuild against newer libgtest

* Tue Mar 29 2022 umeabot <umeabot> 1.14.6-3.mga9
+ Revision: 1833358
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 1.14.6-2.mga9
+ Revision: 1786280
- rebuild for python-3.10

* Thu Dec 30 2021 ghibo <ghibo> 1.14.6-1.mga9
+ Revision: 1765410
- imported package partio


* Thu Dec 30 2021 ghibo <ghibo> 1.14.6-1.mga9
- Initial release based on FC spec file.
